/**
 * 分享至人人(开发者接口)
 */
DGC.View.DShareToRenRen =  $.inherits(DGC.View, {

    baseId: 'share-to-renren',

    /**
     * 发送weibo信息
     */
    message: "",

    /**
     * 附件图片
     * @type String
     */
    picture:"",


    /**
     * 视图初始化函数
     */
    viewReady: function(){
        var ATTR = DH.ATTR;

        DGC.ActionUtil.fullScreen(true);
        DGC.ActionUtil.transparentBG();

        var params  = {
            meModel : this.action.model['me'] ,
            maskTransparent: true,
            //关闭窗口回调
            cancelFail : function(){
                //手动关闭窗口回退游戏界面
                DGC.ActionUtil.returnToGame();
            }
        };

        //未绑定
        if(!DH.isSNSBound(ATTR.BIND_KEY.RENREN)){
            $.extend(params, {
                bindSuccess : $.bindFn(this.sendSNSMsg, this) //绑定成功后执行
            });
        //过期重绑定
        }else if(DH.isSNSBound(ATTR.BIND_KEY.RENREN) && DH.isSNSExpried(ATTR.BIND_KEY.RENREN)){
            $.extend(params, {
                relogin: true,
                reloginSuccess : $.bindFn(this.sendSNSMsg, this) //重验证后成功后执行
            });
        }

        this.action.showDialog(
            "RenRenLoginDialog",
            params,
            function(name, params){
                //弹出绑定的Dialog
                this.renren = new DGC.Dialog[name](params);
                this.renren.show();
            },
            this);
    },

    /**
     * 发送新浪微博
     */
    sendSNSMsg: function(){
        this.action.model['me'].updateLocalSNSShare({
            type: 2 /*人人*/,
            content: this.message,
            picture: this.picture
        });
    },

    /**
     * 发送分享QQ微博成功
     */
    sendRenrenSuccess: function(result, msg){
        var DAU = DGC.ActionUtil,
            msg = result ? resName.TIP_SHAREGAME_SHARE_SUCCESS: msg.error;
        DAU.showTipMsg(msg, function(){
            DAU.returnToGame();
        });
    },

    onDestory: function(){
        //释放窗口引用
        if(this.renren){
            this.renren.destory();
        }
        this.renren = null;
    }

});